
%global meadversion 6.0.3
%global namedversion 6.0.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package woodstox-core}
%{!?scl:%global pkg_name %{name}}

%define maven_version 6.0.3.redhat-00001

Name:           %{?scl_prefix}woodstox-core
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Woodstox
Group:          Development/Java

%if %with mead
Source100: woodstox-core-6.0.3.redhat-00001-project-sources.tar.gz
Source102: woodstox-core-6.0.3.redhat-00001.jar
Source103: woodstox-core-6.0.3.redhat-00001-javadoc.jar
Source104: woodstox-core-6.0.3.redhat-00001-sources.jar
Source105: woodstox-core-6.0.3.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://woodstox.codehaus.org
Provides:       %{?scl_prefix}woodstox-core = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}stax2-api >= 0:3.1.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Woodstox is a high-performance XML processor that implements Stax (JSR-173) and
SAX2 APIs.

%if %with javadoc
%package javadoc
Summary:        Javadoc for woodstox-core
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n woodstox-core-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/woodstox-core-%{namedversion}.jar %{buildroot}%{_javadir}/woodstox-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/woodstox-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/woodstox-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/woodstox-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/woodstox-core-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/woodstox-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/woodstox-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/woodstox-core-%{namedversion} -x META-INF/\*
%{__ln_s} woodstox-core-%{namedversion} %{buildroot}%{_javadocdir}/woodstox-core
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc release-notes/VERSION
%doc README.md
%{_javadir}/woodstox-core-%{namedversion}.jar
%{_javadir}/woodstox-core.jar
%if %with javadoc
%{_javadir}/woodstox-core-%{namedversion}-javadoc.jar
%{_javadir}/woodstox-core-javadoc.jar
%endif
%{_javadir}/woodstox-core-%{namedversion}-sources.jar
%{_javadir}/woodstox-core-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/woodstox-core-%{namedversion}
%{_javadocdir}/woodstox-core
%endif

%changelog
* Wed Feb 05 2020 Permaine Cheung <pcheung@redhat.com> - 6.0.3-1.redhat_00001.1
- 6.0.3.redhat_00001

* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 5.0.3-5.redhat_1.1
- Rebuild with doc fixed

* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 5.0.3-5.redhat_1.1
- Rewrap for 7.2.0

* Wed Oct 26 2016 Filip Kujikis <fkujikis@redhat.com> - 5.0.3-1.redhat_1.1
- prod build of upstream tag 5.0.3
- fixed naming & docs settings in spec for new major version (4->5)

* Fri Oct 21 2016 Filip Kujikis <fkujikis@redhat.com> - 5.0.3-1.redhat_1.1
- prod build of upstream tag 5.0.3

* Wed Jun 24 2015 David Walluck <dwalluck@redhat.com> - 4.4.1-2.redhat_1.1
- fix doc install

* Wed Jun 24 2015 David Walluck <dwalluck@redhat.com> - 4.4.1-1.redhat_1.1
- release

